Saxon API for .NET |

# XdmNode Properties

The properties of the XdmNode class are listed below. For a complete list of XdmNode class members, see the XdmNode Members topic.

#### Public Instance Properties

BaseUri | The Base URI of the node.
Count (inherited from XdmValue) | Get the number of items in the sequence
Implementation | Escape hatch to the underlying class in the Java implementation
NodeKind | The kind of node, as an instance of `System.Xml.XmlNodeType`.
NodeName | The name of the node, as a `QName`. Returns null in the case of unnamed nodes.
OuterXml | Return a serialization of this node as lexical XML
Parent | Get the parent of this node.
StringValue | The string value of the node.
TypedValue | The typed value of the node, as an instance of `XdmValue`.

#### See Also

XdmNode Class | Saxon.Api Namespace